Source: libmoosex-runnable-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Section: perl
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libclass-load-perl <!nocheck>,
 liblist-someutils-perl <!nocheck>,
 libmodule-build-tiny-perl,
 libmoose-perl <!nocheck>,
 libmoosex-getopt-perl <!nocheck>,
 libmoosex-types-path-class-perl <!nocheck>,
 libmoosex-types-path-tiny-perl <!nocheck>,
 libmoosex-types-perl <!nocheck>,
 libnamespace-autoclean-perl <!nocheck>,
 libparams-util-perl <!nocheck>,
 libpath-tiny-perl <!nocheck>,
 libtest-exception-perl <!nocheck>,
 libtest-fatal-perl <!nocheck>,
 libtest-tabledriven-perl <!nocheck>,
 perl,
 perl | libtest-use-ok-perl <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmoosex-runnable-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmoosex-runnable-perl.git
Homepage: https://metacpan.org/release/MooseX-Runnable
Testsuite: autopkgtest-pkg-perl
Rules-Requires-Root: no

Package: libmoosex-runnable-perl
Architecture: all
Depends:
 libclass-load-perl,
 liblist-someutils-perl,
 libmoose-perl,
 libmoosex-getopt-perl,
 libmoosex-types-path-class-perl,
 libmoosex-types-path-tiny-perl,
 libmoosex-types-perl,
 libnamespace-autoclean-perl,
 libparams-util-perl,
 libpath-tiny-perl,
 ${misc:Depends},
 ${perl:Depends},
Suggests:
 libanyevent-perl,
 libdata-dump-streamer-perl,
 libfile-changenotify-perl,
 libpar-packer-perl,
 libparams-validate-perl,
Description: tag a class as a runnable application
 MooseX::Runnable is a framework
 for making classes runnable applications.
 This role doesn't do anything
 other than tell the rest of the framework
 that your class is a runnable application
 that has a run method which accepts arguments
 and returns the process' exit code.
 .
 This is a convention that the community has been using for a while.
 This role tells the computer that your class uses this convention,
 and let's the computer abstract away
 some of the tedium this entails.
